Project

General

Profile

Client Setup Instructions

Prerequisites

  • Python 2.7
  • numpy version 1.13.1. Do not use 1.15.1, it does not work well with histbook
  • jupyter 4.3+
  • ipython version 5.7+
  • histbook (pip install histbook)
  • vega (pip install vega)

Striped environment new Installation

 $ git clone http://cdcvs.fnal.gov/projects/nosql-ldrd striped      # clone the repository
 $ cd striped
 $ python setup.py install --user        

Striped environment updrading

 $ cd <where you cloned the repository>
 $ git pull
 $ python setup.py install --user        

Using the environment

$ cd sample    # relative to the top of the cloned repository
$ export STRIPED_JOB_SERVER_ADDRESS=ifdb01.fnal.gov:8765
$ python job.py